<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="3c8199ec-5db1-4250-aaeb-b743f9f9cdc6" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/Node.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="765">
              <caret line="74" column="23" selection-start-line="74" selection-start-column="23" selection-end-line="74" selection-end-column="23" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/client/HttpClients.class">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="12" column="24" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="221">
              <caret line="13" column="16" lean-forward="true" selection-start-line="13" selection-start-column="16" selection-end-line="13" selection-end-column="16" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>glal</find>
      <find>sign</find>
      <find>deploy</find>
      <find>nodes.dev-0bsnetwork.com</find>
      <find>node</find>
      <find>test</find>
      <find>gpg</find>
      <find>lof</find>
      <find>httpclien</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/Node.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/zbsnetwork/zbsjava/NodeTest.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1616" />
    <option name="height" value="916" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="zbsandroid" type="b2602c69:ProjectViewProjectNode" />
              <item name="zbsandroid" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1548927562428" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.NodeTest">
    <configuration name="AccountTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="zbsandroid" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zbsnetwork.zbsjava.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zbsnetwork.zbsjava" />
      <option name="MAIN_CLASS_NAME" value="com.zbsnetwork.zbsjava.AccountTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="IntegrationTransactionsTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="zbsandroid" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zbsnetwork.zbsjava.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zbsnetwork.zbsjava" />
      <option name="MAIN_CLASS_NAME" value="com.zbsnetwork.zbsjava.IntegrationTransactionsTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="NodeTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="zbsandroid" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zbsnetwork.zbsjava.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zbsnetwork.zbsjava" />
      <option name="MAIN_CLASS_NAME" value="com.zbsnetwork.zbsjava.NodeTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="NodeTest.testAliasGet" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="zbsandroid" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.zbsnetwork.zbsjava.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.zbsnetwork.zbsjava" />
      <option name="MAIN_CLASS_NAME" value="com.zbsnetwork.zbsjava.NodeTest" />
      <option name="METHOD_NAME" value="testAliasGet" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.NodeTest" />
        <item itemvalue="JUnit.IntegrationTransactionsTest" />
        <item itemvalue="JUnit.AccountTest" />
        <item itemvalue="JUnit.NodeTest.testAliasGet" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3c8199ec-5db1-4250-aaeb-b743f9f9cdc6" name="Default Changelist" comment="" />
      <created>1548324821395</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1548324821395</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="NodeTest - 2019.01.24 at 15h 05m 53s.xml">
      <configuration name="NodeTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="NodeTest_testAliasGet - 2019.01.24 at 15h 07m 00s.xml">
      <configuration name="NodeTest.testAliasGet" configurationId="JUnit" />
    </history-entry>
    <history-entry file="NodeTest - 2019.01.24 at 15h 07m 55s.xml">
      <configuration name="NodeTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AccountTest - 2019.01.24 at 15h 12m 33s.xml">
      <configuration name="AccountTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="IntegrationTransactionsTest - 2019.01.24 at 15h 12m 45s.xml">
      <configuration name="IntegrationTransactionsTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="NodeTest - 2019.01.24 at 15h 14m 35s.xml">
      <configuration name="NodeTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="NodeTest - 2019.01.24 at 15h 18m 11s.xml">
      <configuration name="NodeTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="NodeTest - 2019.01.24 at 15h 20m 01s.xml">
      <configuration name="NodeTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="NodeTest - 2019.01.24 at 16h 03m 18s.xml">
      <configuration name="NodeTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="NodeTest - 2019.01.24 at 16h 16m 51s.xml">
      <configuration name="NodeTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1616" height="876" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.2596401" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32974428" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Run with VisualVM" order="7" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Debug with VisualVM" order="9" />
      <window_info anchor="bottom" id="SonarLint" order="10" />
      <window_info anchor="bottom" id="Terminal" order="11" weight="0.32974428" />
      <window_info anchor="bottom" id="Event Log" order="12" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="13" weight="0.32974428" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zbsnetwork/zbsjava/json/deser/AliasTransactionDeserTest.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/WithId.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" selection-start-line="5" selection-end-line="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/Transfer.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/json/Test.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="11" column="32" selection-start-line="11" selection-start-column="32" selection-end-line="11" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/json/ZbsJsonMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="7" column="10" selection-start-line="7" selection-start-column="10" selection-end-line="7" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.1/lib/src.zip!/java.base/java/lang/Enum.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="156">
          <caret line="131" column="18" selection-start-line="131" selection-start-column="18" selection-end-line="131" selection-end-column="26" />
          <folding>
            <element signature="e#4131#4132#0" expanded="true" />
            <element signature="e#4158#4159#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/matcher/Order.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="413">
          <caret line="232" selection-start-line="232" selection-end-line="232" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/matcher/DeleteOrder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/matcher/CancelOrder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="75" selection-start-line="75" selection-end-line="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/Transaction.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.1/lib/src.zip!/java.base/java/net/InetAddress.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="149">
          <caret line="847" selection-start-line="847" selection-end-line="847" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.1/lib/src.zip!/java.base/jdk/internal/reflect/NativeMethodAccessorImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="249">
          <caret line="61" selection-start-line="61" selection-end-line="61" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.1/lib/src.zip!/java.base/jdk/internal/reflect/DelegatingMethodAccessorImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="283">
          <caret line="42" selection-start-line="42" selection-end-line="42" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.1/lib/src.zip!/java.base/java/lang/reflect/Method.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="139">
          <caret line="564" column="9" lean-forward="true" selection-start-line="564" selection-start-column="9" selection-end-line="564" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/client/CloseableHttpClient.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="156">
          <caret line="54" selection-start-line="54" selection-end-line="54" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/execchain/RetryExec.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="258">
          <caret line="51" lean-forward="true" selection-start-line="47" selection-end-line="81" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.1/lib/src.zip!/java.base/java/util/stream/Nodes.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="156">
          <caret line="51" column="12" selection-start-line="51" selection-start-column="12" selection-end-line="51" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zbsnetwork/zbsjava/NodeTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="183" column="42" lean-forward="true" selection-start-line="183" selection-end-line="184" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/conn/SystemDefaultDnsResolver.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="18" selection-start-line="18" selection-end-line="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zbsnetwork/zbsjava/AccountTest.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/zbsnetwork/zbsjava/IntegrationTransactionsTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="21" column="11" selection-start-line="21" selection-start-column="11" selection-end-line="21" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/conn/DefaultHttpClientConnectionOperator.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="631">
          <caret line="72" column="31" selection-start-line="72" selection-start-column="27" selection-end-line="72" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/conn/PoolingHttpClientConnectionManager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1" column="49" selection-start-line="1" selection-start-column="49" selection-end-line="1" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/execchain/MainClientExec.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="631">
          <caret line="172" selection-start-line="172" selection-end-line="172" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/execchain/ProtocolExec.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="631">
          <caret line="124" selection-start-line="124" selection-end-line="124" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/zbsnetwork/zbsjava/Node.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="765">
          <caret line="74" column="23" selection-start-line="74" selection-start-column="23" selection-end-line="74" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5/httpclient-4.5.jar!/org/apache/http/impl/client/HttpClients.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="12" column="24" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="16" lean-forward="true" selection-start-line="13" selection-start-column="16" selection-end-line="13" selection-end-column="16" />
        </state>
      </provider>
    </entry>
  </component>
</project>